EDIT - feature request #5474

TermEditor menu should be more structured
01/14/2016 02:40 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 1:00 hour
Target version: Release 4.5

Severity: normal

Description

The order of the term editor menu should be structured, maybe display only the most important items and move the others to

"Others..."

Most important items are probably "Feature” and "Named Area"

Associated revisions

Revision 60e722d0 - 01/06/2017 11:08 AM - Patrick Plitzner

fix #5474 moved Feature and NamedArea to top level

e remaining terms are under "Other..."

Revision 3f70c8a3 - 01/18/2017 11:35 PM - Andreas Miiller
ref #5474 other -> others

Revision 9d215095 - 02/08/2017 05:23 PM - Patrick Plitzner
ref #5474 Add separator and i10n to Term menu

Revision 68e4a9c¢8 - 01/16/2019 02:21 PM - Patrick Plitzner

ref #5474 Removed separator

History

#1 - 01/14/2016 02:47 PM - Katja Luther

- Target version changed from Reviewed Next Major Release to Unassigned CDM tickets

#2 - 02/15/2016 04:18 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to k.luther -

#3 - 02/15/2016 04:19 PM - Andreas Miiller

- Keywords set to mexico_ws,

#4 - 03/16/2016 03:58 PM - Andreas Miuller

- Subject changed from TermEditor Menu to TermEditor menu should be more structured

#5 - 09/02/2016 03:35 PM - Andreas Miiller
- Description updated

- Priority changed from New to Highest

#6 - 10/05/2016 12:38 PM - Andreas Miuller

- Assignee changed from Katja Luther to Patrick Plitzner

#7 - 01/05/2017 02:24 PM - Andreas Miiller
- Description updated

- Target version changed from Unassigned CDM tickets to Release 4.5
- Estimated time set to 1:00 h

#8 - 01/06/2017 11:08 AM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|60e722d086b2b60ceda788e4b1ef85fbe01d13e7.

#9 - 01/06/2017 11:09 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther

#10 - 01/06/2017 11:58 AM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Patrick Plitzner

looks good.

#11 - 01/18/2017 11:38 PM - Andreas Miiller
- Status changed from Closed to Feedback

Please use i18n (translations for term types themselves will also be offered soon, there is a ticket). Be aware that | changed from "other" to "others".

#12 - 01/18/2017 11:39 PM - Andreas Miiller

Please also add a separator above "Others"

#13 - 01/19/2017 02:09 PM - Andreas Miiller

- Private changed from Yes to No

#14 - 02/08/2017 05:25 PM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 50 to 70

Added a separator. Implemented use of i10n but could not check if it works

#15 - 02/08/2017 08:09 PM - Andreas Miiller

- Status changed from Feedback to Resolved

#16 - 02/17/2017 12:09 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

Separator works now.

i18n for "others" still does not work.

#17 - 03/08/2017 04:53 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller

How should the i18n for the terms work? Are there any translation csv files? The code already calls the correct method | hope.

#18 - 03/13/2017 09:39 PM - Andreas Miiller

"Others" is still not translated. Is this not possible without having the terms translated?

We may have a look together on the related tickets for translating terms as you have more experience with i18n in eclipse now.

#19 - 03/13/2017 09:40 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Patrick Plitzner
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/60e722d086b2b60ceda788e4b1ef85fbe01d13e7

#20 - 11/30/2018 03:12 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

@Andreas: Can you please check if this is still open? For example, "Others" is now translated when language is switched.

#21 - 01/14/2019 05:18 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 70 to 80

The translation of terms will be part of another ticket, "others" is well translated now.

Can we remove the separator before "Others" now. This is because we have more items in the sub-menu now and "others" belongs semantically to
the terms which is not so clear anymore.

We can close this ticket afterwords.

#22 - 01/16/2019 02:21 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

Removed separator

#23 - 11/03/2021 04:28 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 80 to 100

The term menu is handled differently in the meanwhile anyway so | think we can close this ticket without having to check the final open issues.
